import type { Context, SNSEvent } from 'aws-lambda';
/**
 * This function receives an S3 event, and for each record, proceeds to download
 * the `.jsii` assembly the event refers to, transliterates it to Python, then
 * uploads the resulting `.jsii.python` object to S3.
 *
 * @param event   an S3 event payload
 * @param context a Lambda execution context
 *
 * @returns nothing
 */
export declare function handler(event: SNSEvent, context: Context): Promise<readonly S3Object[]>;
/**
 * Visible for testing. Clears the caches so that the next execution runs clean.
 */
export declare function reset(): void;
interface S3Object {
    readonly bucket: string;
    readonly key: string;
    readonly versionId?: string;
}
export {};
